> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicoflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Brain Statement



## OpenAPI

````yaml /api/openapi.json patch /api/brain/statements/{id}
openapi: 3.1.0
info:
  title: AICO API
  description: API for managing AI-powered voice agents, flows, tools, telephony, and more.
  version: 1.0.0
servers: []
security:
  - bearer: []
tags:
  - name: API Keys
  - name: Admin
  - name: Assets
  - name: Audit
  - name: Billing
  - name: Brain
  - name: Calls
  - name: Channels
  - name: Datasets
  - name: Flows
  - name: Inference
  - name: Integrations
  - name: Knowledge
  - name: LLM
  - name: Monitoring
  - name: Notifications
  - name: Organizations
  - name: Plugins
  - name: Providers
  - name: Reporting
  - name: System
  - name: Telephony
  - name: Tools
  - name: Web
  - name: _hello
paths:
  /api/brain/statements/{id}:
    patch:
      tags:
        - Brain
      summary: Update Brain Statement
      operationId: update_brain_statement
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              def:
                type: object
                shape:
                  factText:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  value:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: union
                          options:
                            - def:
                                type: string
                              type: string
                            - def:
                                type: number
                                checks: []
                              type: number
                              isFinite: true
                            - def:
                                type: boolean
                              type: boolean
                        type: union
                        options:
                          - def:
                              type: string
                            type: string
                          - def:
                              type: number
                              checks: []
                            type: number
                            isFinite: true
                          - def:
                              type: boolean
                            type: boolean
                    type: optional
                  confidence:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: number
                          checks:
                            - {}
                            - {}
                        type: number
                        isFinite: true
                    type: optional
                  personState:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: enum
                              entries:
                                inferred: inferred
                                confirmed: confirmed
                                rejected: rejected
                            type: enum
                            enum:
                              inferred: inferred
                              confirmed: confirmed
                              rejected: rejected
                            options:
                              - inferred
                              - confirmed
                              - rejected
                        type: nullable
                    type: optional
                  validFrom:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                              checks:
                                - def:
                                    type: string
                                    format: datetime
                                    check: string_format
                                    offset: false
                                    local: false
                                    precision: null
                                    pattern: {}
                                  type: string
                            type: string
                        type: nullable
                    type: optional
                  validTo:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                              checks:
                                - def:
                                    type: string
                                    format: datetime
                                    check: string_format
                                    offset: false
                                    local: false
                                    precision: null
                                    pattern: {}
                                  type: string
                            type: string
                        type: nullable
                    type: optional
                  expire:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: boolean
                        type: boolean
                    type: optional
              type: object
          multipart/form-data:
            schema:
              def:
                type: object
                shape:
                  factText:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  value:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: union
                          options:
                            - def:
                                type: string
                              type: string
                            - def:
                                type: number
                                checks: []
                              type: number
                              isFinite: true
                            - def:
                                type: boolean
                              type: boolean
                        type: union
                        options:
                          - def:
                              type: string
                            type: string
                          - def:
                              type: number
                              checks: []
                            type: number
                            isFinite: true
                          - def:
                              type: boolean
                            type: boolean
                    type: optional
                  confidence:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: number
                          checks:
                            - {}
                            - {}
                        type: number
                        isFinite: true
                    type: optional
                  personState:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: enum
                              entries:
                                inferred: inferred
                                confirmed: confirmed
                                rejected: rejected
                            type: enum
                            enum:
                              inferred: inferred
                              confirmed: confirmed
                              rejected: rejected
                            options:
                              - inferred
                              - confirmed
                              - rejected
                        type: nullable
                    type: optional
                  validFrom:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                              checks:
                                - def:
                                    type: string
                                    format: datetime
                                    check: string_format
                                    offset: false
                                    local: false
                                    precision: null
                                    pattern: {}
                                  type: string
                            type: string
                        type: nullable
                    type: optional
                  validTo:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                              checks:
                                - def:
                                    type: string
                                    format: datetime
                                    check: string_format
                                    offset: false
                                    local: false
                                    precision: null
                                    pattern: {}
                                  type: string
                            type: string
                        type: nullable
                    type: optional
                  expire:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: boolean
                        type: boolean
                    type: optional
              type: object
          text/plain:
            schema:
              def:
                type: object
                shape:
                  factText:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  value:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: union
                          options:
                            - def:
                                type: string
                              type: string
                            - def:
                                type: number
                                checks: []
                              type: number
                              isFinite: true
                            - def:
                                type: boolean
                              type: boolean
                        type: union
                        options:
                          - def:
                              type: string
                            type: string
                          - def:
                              type: number
                              checks: []
                            type: number
                            isFinite: true
                          - def:
                              type: boolean
                            type: boolean
                    type: optional
                  confidence:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: number
                          checks:
                            - {}
                            - {}
                        type: number
                        isFinite: true
                    type: optional
                  personState:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: enum
                              entries:
                                inferred: inferred
                                confirmed: confirmed
                                rejected: rejected
                            type: enum
                            enum:
                              inferred: inferred
                              confirmed: confirmed
                              rejected: rejected
                            options:
                              - inferred
                              - confirmed
                              - rejected
                        type: nullable
                    type: optional
                  validFrom:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                              checks:
                                - def:
                                    type: string
                                    format: datetime
                                    check: string_format
                                    offset: false
                                    local: false
                                    precision: null
                                    pattern: {}
                                  type: string
                            type: string
                        type: nullable
                    type: optional
                  validTo:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: nullable
                          innerType:
                            def:
                              type: string
                              checks:
                                - def:
                                    type: string
                                    format: datetime
                                    check: string_format
                                    offset: false
                                    local: false
                                    precision: null
                                    pattern: {}
                                  type: string
                            type: string
                        type: nullable
                    type: optional
                  expire:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: boolean
                        type: boolean
                    type: optional
              type: object
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Logto JWT access token

````